libpam-google-authenticator-1.0-alt1.x86_64.rpm


Advertisement

Description

libpam-google-authenticator - The PAM module can add a two-factor authentication step to any PAM-enabled application

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package name libpam-google-authenticator
Package version 1.0
Package release alt1
Package architecture x86_64
Package type rpm
Installed size 56.18 KB
Download size 56.18 KB
Official Mirror ftp.altlinux.org
The PAM module can add a two-factor authentication step to any PAM-enabled application. It supports:
Per-user secret and status file stored in user's home directory
Support for 30-second TOTP codes
Support for emergency scratch codes
Protection against replay attacks
Key provisioning via display of QR code
Manual key entry of RFC 3548 base32 key strings

Alternatives

Package Version Architecture Repository
libpam-google-authenticator-1.0-alt1.i586.rpm 1.0 i586 Classic
libpam-google-authenticator - - -

Requires

Name Value
/lib64/ld-linux-x86-64.so.2 -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libpam.so.0()(64bit) -
libpam.so.0(LIBPAM_1.0)(64bit) -
pam -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
PAM(pam_google_authenticator.so) -
libpam-google-authenticator = 1.0-alt1

Download

Type URL
Binary Package libpam-google-authenticator-1.0-alt1.x86_64.rpm
Source Package libpam-google-authenticator-1.0-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libpam-google-authenticator rpm package:
    # sudo apt-get install libpam-google-authenticator

Files

Path
/lib64/security/pam_google_authenticator.so
/usr/bin/google-authenticator
/usr/share/doc/libpam-google-authenticator-1.0/FILEFORMAT
/usr/share/doc/libpam-google-authenticator-1.0/README

Changelog

2013-03-07 - Denis Baranov <baraka@altlinux.ru> 1.0-alt1
- Initial build for ALTLinux

See Also

Package Description
libpam0-1.3.1.0.5.955b-alt2.x86_64.rpm Shared libraries for running PAM-based software
libpam0-devel-1.3.1.0.5.955b-alt2.x86_64.rpm Libraries and header files for developing PAM-aware software
libpango-1.42.4-alt1.x86_64.rpm System for layout and rendering of internationalized text
libpango-devel-1.42.4-alt1.x86_64.rpm Development libraries and header files for pango
libpango-gir-1.42.4-alt1.x86_64.rpm GObject introspection data for the Pango library
libpango-tests-1.42.4-alt1.x86_64.rpm Tests for the Pango library
libpangomm-2.40.1-alt1.x86_64.rpm This library provides a C++ interface to pango
libpangomm-devel-2.40.1-alt1.x86_64.rpm Headers and development files of libpangomm library
libpangox-compat-0.0.2-alt1.x86_64.rpm Obsolete pangox library
libpangox-compat-devel-0.0.2-alt1.x86_64.rpm Libraries and include files for developing with pangox-compat
libpano13-2.9.19-alt1.qa1.x86_64.rpm libpano13 - library for panorama stitching programs. This is new generation and development version
libpano13-devel-2.9.19-alt1.qa1.x86_64.rpm Devel package for libpano13
libpano13-programs-2.9.19-alt1.qa1.x86_64.rpm Programs built with libpano13
libpaper-1.1.24-alt4.x86_64.rpm Library and tools for handling papersize
libpaper-devel-1.1.24-alt4.x86_64.rpm Header files for libpaper
Advertisement
Advertisement